LibreOffice Version Mismatch/Conflict

classic Classic list List threaded Threaded
7 messages Options
Help_Please Help_Please
Reply | Threaded
Open this post in threaded view
|

LibreOffice Version Mismatch/Conflict

Recently I downloaded and installed v3.5.1.2 or so I thought I did.  When I checked the "exe" properties for "Soffice.exe" the properties displayed a version of "3.5.0.102".  Other "exe" files show the version of 3.5.0.102 as well.  I use a 3rd-party application named SUMo (Software Update Monitor).  SUMo utilizes the information/data provided in the "properties" of any exe or dll files installed on the C: drive.  SUMo does not utilize the data loaded into the Windows registry.  So what is the current version for LibreOffice and if so, will this over-site corrected and when ?  Thanks.

Pedro Pedro
Reply | Threaded
Open this post in threaded view
|

Re: LibreOffice Version Mismatch/Conflict

I also use SUMo and you are correct about the number mismatch. In fact the version reported in the exe should be 3.5.1.2 and not 3.5.0.102

If you noticed in branch 3.4.x it was even more confusing :) Current release 3.4.6 is identified in the exe as 3.4.602.500 :)

For your information the version number for the current development version 3.5.2rc1 is 3.5.0.201 (the last digit is the RC version)

As you can see the developers are aware of this problem
http://nabble.documentfoundation.org/Fwd-tdf-discuss-LibreOffice-Version-Mismatch-Conflict-tt3854036.html
Help_Please Help_Please
Reply | Threaded
Open this post in threaded view
|

Re: LibreOffice Version Mismatch/Conflict

Ok thanks.  One other question.  Do I keep the current version I already have installed or do I revert back to v3.4.6.x ?  And, do  you know possibly when there will be a version correction released ?  Just a though.  Again ... thanks.
Pedro Pedro
Reply | Threaded
Open this post in threaded view
|

Re: LibreOffice Version Mismatch/Conflict

Help_Please wrote
Do I keep the current version I already have installed or do I revert back to v3.4.6.x ?
If you haven't found any problems with 3.5.1.2 I think you should keep it.

Help_Please wrote
 And, do  you know possibly when there will be a version correction released ?  Just a though.  Again ... thanks.
Maybe it will be fixed for version 3.5.3 (I doubt that it is fixed for 3.5.2), since apparently the version number check has implications for some security checks. But only a Dev can provide a definitive answer.
Pedro Pedro
Reply | Threaded
Open this post in threaded view
|

Re: LibreOffice Version Mismatch/Conflict

In reply to this post by Help_Please
Help_Please wrote
And, do  you know possibly when there will be a version correction released ?
I submitted a bug report to bugzilla.
https://bugs.freedesktop.org/show_bug.cgi?id=47840
This increases the odds of getting it fixed ;)
Help_Please Help_Please
Reply | Threaded
Open this post in threaded view
|

Re: LibreOffice Version Mismatch/Conflict

Ok then.  Thanks.  Maybe it will be corrected soon.  My copy of Secunia PSI is reporting a problem/potential update to LibreOffice to version 3.5.1.2 and .... I already have 3.5.1.2 installed.  This again is because of the version conflict (I'm pretty certain).   Oh well again thanks.
NoOp NoOp
Reply | Threaded
Open this post in threaded view
|

Re: LibreOffice Version Mismatch/Conflict

On 03/26/2012 02:33 AM, Help_Please wrote:
> Ok then.  Thanks.  Maybe it will be corrected soon.  My copy of Secunia PSI
> is reporting a problem/potential update to LibreOffice to version 3.5.1.2
> and .... I already have 3.5.1.2 installed.  This again is because of the
> version conflict (I'm pretty certain).   Oh well again thanks.

Read this thread on the user list:
LibreOffice ''Insecure" per Secunia



--
Unsubscribe instructions: E-mail to [hidden email]
Problems? http://www.libreoffice.org/get-help/mailing-lists/how-to-unsubscribe/
Posting guidelines + more: http://wiki.documentfoundation.org/Netiquette
List archive: http://listarchives.documentfoundation.org/www/discuss/
All messages sent to this list will be publicly archived and cannot be deleted